# -*- encoding: utf-8 -*-
# stub: sensu-plugins-ssl 3.0.2 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-ssl".freeze
  s.version = "3.0.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu-Plugins and contributors".freeze]
  s.date = "2020-08-27"
  s.description = "This plugin provides native SSL instrumentation\n                              for monitoring, including: hostname and chain\n                              verification, cert and crl expiry, and Qualys SSL Labs reporting".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["check-ssl-hsts-status.rb".freeze, "check-ssl-root-issuer.rb".freeze, "check-ssl-cert.rb".freeze, "check-java-keystore-cert.rb".freeze, "check-ssl-crl.rb".freeze, "check-ssl-anchor.rb".freeze, "check-ssl-host.rb".freeze, "check-ssl-hsts-preloadable.rb".freeze, "check-ssl-qualys.rb".freeze]
  s.files = ["bin/check-java-keystore-cert.rb".freeze, "bin/check-ssl-anchor.rb".freeze, "bin/check-ssl-cert.rb".freeze, "bin/check-ssl-crl.rb".freeze, "bin/check-ssl-host.rb".freeze, "bin/check-ssl-hsts-preloadable.rb".freeze, "bin/check-ssl-hsts-status.rb".freeze, "bin/check-ssl-qualys.rb".freeze, "bin/check-ssl-root-issuer.rb".freeze]
  s.homepage = "https://github.com/sensu-plugins/sensu-plugins-ssl".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.4.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for SSL".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.89.1"])
    s.add_development_dependency(%q<timecop>.freeze, ["~> 0.8.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.8"])
  else
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.89.1"])
    s.add_dependency(%q<timecop>.freeze, ["~> 0.8.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.8"])
  end
end
